MYSQL:ERROR 1819 (HY000): Your password does not satisfy the current policy requirements

[[email protected] ~]# mysql -V
mysql  Ver 8.0.27 for Linux on x86_64 (MySQL Community Server - GPL)

Password policy problem exception information:
error 1819 (HY000): your password does not satisfy the current policy requirements

terms of settlement:

1. View the initial password policy of MySQL,
enter the statement show variables like 'validate_ password%'; view,
as shown in the following figure:
this is what I modified:


2. First, set the verification strength level of the password,
set validate_ password_ If the global parameter of policy is low,
enter the set value statement set global validate_ password.policy=LOW; to set the value,

Parameters related to MySQL password policy
1)、validate_ password_ Length the total length of the fixed password
2)、validate_ password_ dictionary_ File specifies the file path for password authentication
3)、validate_ password_ mixed_ case_ Count the total number of large/small letters in the whole password
4)、validate_ password_ number_ Count the number of Arabic numerals at least in the whole password
5)、validate_ password_ Policy specifies the strength and authentication level of the password. The default value is medium
about validate_ password_ Value of policy: 0/low: only verify the length; 1/medium: verify the length, number, case and special characters; 2/strong: verify the length, number, case, special characters and dictionary file
6)、validate_ password_ special_ char_ Count the number of special characters at least in the whole password;

Mysql5.1 password modification method:
set password for 'root' @ 'localhost' = password ('12121212 ');

https://blog.csdn.net/qq_ 39344689/article/details/89674079

Read More: